# Class VulkanDescriptorPoolSize.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanDescriptorPoolSize.Builder

Enclosing class:
  `VulkanDescriptorPoolSize`

public static final class VulkanDescriptorPoolSize.Builder extends Object
Builds instances of type `VulkanDescriptorPoolSize`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDescriptorPoolSize`
  `build()`
  Builds a new `VulkanDescriptorPoolSize`.
  `final VulkanDescriptorPoolSize.Builder`
  `from(VulkanDescriptorPoolSizeType instance)`
  Fill a builder with attribute values from the provided `VulkanDescriptorPoolSizeType` instance.
  `final VulkanDescriptorPoolSize.Builder`
  `setDescriptorCount(int descriptorCount)`
  Initializes the value for the `descriptorCount` attribute.
  `final VulkanDescriptorPoolSize.Builder`
  `setType(VulkanDescriptorType type)`
  Initializes the value for the `type` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDescriptorPoolSize.Builder from(VulkanDescriptorPoolSizeType instance)
    Fill a builder with attribute values from the provided `VulkanDescriptorPoolSizeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setType

    public final VulkanDescriptorPoolSize.Builder setType(VulkanDescriptorType type)
    Initializes the value for the `type` attribute.
    Parameters:
      `type` - The value for type
    Returns:
      `this` builder for use in a chained invocation

  - ### setDescriptorCount

    public final VulkanDescriptorPoolSize.Builder setDescriptorCount(int descriptorCount)
    Initializes the value for the `descriptorCount` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `descriptorCount`.

    Parameters:
      `descriptorCount` - The value for descriptorCount
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDescriptorPoolSize build()
    Builds a new `VulkanDescriptorPoolSize`.
    Returns:
      An immutable instance of VulkanDescriptorPoolSize
    Throws:
      `IllegalStateException` - if any required attributes are missing